/*----------------------------------------------------------------*/
/*								  */
/*  Example of sqltio() : Time Out				  */
/*								  */
/*----------------------------------------------------------------*/

#include "sql.h"
#include "stdio.h"

/* error defines */
#define APIERROR    1

#define apierr(a) error(a,__LINE__, APIERROR)

	  SQLTCUR   cur = 0;		/* SQLBASE cursor number	    */
	  SQLTRCD   rcd = 0;		/* SQLBASE return code		    */

	  main()
{

	  SQLTTIV   timeout=500;
	  
static	  char	    dbnam[] = "demox";	/* database name		    */

  /* CONNECT TO THE DATABASE */

  cur = 0;
  if (rcd = sqlcnc(&cur, dbnam, 0))	/* perform connect operation	    */
          apierr("SQLCNC");

  if (rcd = sqltio(cur,timeout))
          apierr("SQLTIO");

  /* DISCONNECT FROM THE DATABASE */

  if (rcd = sqldis(cur))		/* failure on disconnect?	    */
          apierr("SQLDIS");
}

/*
  ERROR - prints an error message for the utility
*/
	  error(what, line, type)
	  char*     what;		/* description of what happened     */
	  int	    line;		/* line number where error occured  */
	  int	    type;		/* type of error		    */
  {
	  char	    msg[200];		/* error message buffer 	    */

      sqlerr(rcd, msg); 		  /* get the error message	    */
      printf("\nError: %s at line %d: %s, Error # %d\n", what, line, msg,rcd);
  }

